<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\WssField\Kurs;

class WssFieldKursGebuehrFirma extends \Kufer\Web\KuferTools\Utils\WssField\WssField
{
  public function getValue($datamodulWert, $isFormular = false)
  {
    $tn = \SessionOperations::getCurrentWebToolsUser();
    $kurs = $datamodulWert->getDatamodulByName('kurs');

    $gebuehr = \APIGebuehren::getGebuehren(
      $tn->tnr,
      $kurs->id,
      ANMELDEART_INTERN_FIRMA,
      1,
      static function(string $knr, \Teilnehmer $teilnehmer, \KursgebuehrBerechnungsKontextTeilnehmer $ctx): \KursgebuehrBerechnungsKontextTeilnehmer {
        return \AnmeldedatenSelectorFirma::transformTeilnehmerGebuehrenCtx($knr, $teilnehmer, $ctx);
      }
    );

    return $gebuehr . ' ' . \StringOperations::html_entity_decode(CURRENCY, ENT_COMPAT | ENT_HTML5) . ' pro Mitarbeiter';
  }

  public function isValueEmpty($value): bool
  {
    return $value === '0,00 pro Mitarbeiter ' . \StringOperations::htmlentities(\StringOperations::html_entity_decode(CURRENCY));
  }
}